+212662161818 Du Lundi au Samedi / 8h à  21h

How to change the version of PHP environment on the server

Retour

Comment changer la version de l'environnement PHP sur le serveur

Vous pouvez changer la version de PHP sur le serveur en utilisant le module EasyApache (Apache Update) situé dans le menu de gauche de WHM.

REMARQUE: Si vous disposez d'un serveur VPS / Dedicated entièrement géré, contactez le support de notre équipe pour obtenir de l'aide sur la mise à jour de la version de PHP.

1. Sauvegardez votre installation actuelle via le bouton Télécharger et démarrez le processus de configuration via l'option Personnaliser le profil:




2. Sélectionnez la version Apache pour une nouvelle version de configuration. La sélection affecte le nombre de modules PHP disponibles et certains paramètres spécifiques, donc gardez la valeur par défaut si vous voulez juste changer la version de PHP:



3. Ensuite, vous pouvez sélectionner la version de PHP dont vous avez besoin. Si la version de PHP souhaitée n'est pas présente dans la liste de sélection, assurez-vous d'avoir la dernière version de cPanel et mettez-la à jour si nécessaire:



4. Enfin, vous pouvez sélectionner des modules de serveur Web supplémentaires qui doivent être ajoutés à la configuration du serveur Web.

Conservez la sélection par défaut si vous ne savez pas si vous avez besoin de modules supplémentaires ou non - vous pouvez toujours recréer la configuration si nécessaire. Cliquez sur Enregistrer et générer pour terminer le processus de configuration:



5. Lisez attentivement les messages dans les deux fenêtres pop-up suivantes et procédez à la reconstruction:





6. Attendez que le processus de reconstruction soit terminé, cela peut prendre un certain temps en fonction des options que vous avez sélectionnées:



NOTE: N'interrompez pas le processus car vous devrez commencer depuis le début pendant ce temps vos sites Web pourraient être déconnectés à cause de la configuration inachevée.

7. Vous devriez voir le message Build complete à la fin:




C'est tout, votre serveur fonctionne maintenant avec la version de l'environnement PHP de votre choix.

commander